:root{
    --primary: #8A77F0;
    --secondary: #F3F2FA;
    --top-bar: #D52F31;
    --text-light: #FFF;
    --text-dark: #090202;
}

/* Estilos Globales */

*{
    box-sizing: border-box;
}

html, body{
    margin: 0;
    padding: 0;
    font-family: "Albert Sans", sans-serif;
}

main{
    padding: 80px;
}

p{
    line-height: 1.6;
}

.cta__body{
    text-align: center;
    max-width: 800px;
    margin: 0 auto;
    font-size: 20px;
}

button{
    border: none;
    padding: 20px 200px;
    color: var(--text-light);
    background-color: var(--primary);
    border-radius: 40px;
    font-family: inherit;
    font-size: 1rem;
    cursor: pointer;
    margin: 30px auto;
    font-size: 25px;
    font-weight: 400;
    z-index: 2;
}

/* Barra de navegación */

nav{
    display: flex;
    align-items: center;
    height: 65px;
    -webkit-box-shadow: 0px 4px 30px 0px rgba(0,0,0,0.25);
    -moz-box-shadow: 0px 4px 30px 0px rgba(0,0,0,0.25);
    box-shadow: 0px 4px 30px 0px rgba(0,0,0,0.25);
    background: var(--primary);
}

.nav__list{
    list-style: none;
    display: flex;
    gap: 40px;
}

.item__link{
    color: var(--text-light);
    text-decoration: none;
}

.logout__link{
    color: var(--text-light);
}

.nav__column--right{
    margin-left: auto;
    margin-right: 40px;
    display: flex;
    align-items: center;
    height: 100%;
    gap: 30px;
}

.credits{
    display: flex;
    align-items: center;
    gap: 10px;
    color: var(--text-light);
    text-wrap: nowrap;
}

.nav__button{
    border: none;
    padding: 10px 40px;
    color: var(--primary);
    background-color: var(--text-light);
    border-radius: 20px;
    font-family: inherit;
    font-size: 1rem;
    cursor: pointer;
}

/* Selectores de Fecha */

.dashboard__inputs{
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.dashboard__inputs *{
    width: 100%;
    margin: 0;
    font-size: 1rem;
    min-width: 0;
}

.dashboard__inputs button{
    padding: 10px 20px;
    width: 50%;
    font-size: 1rem;
    font-weight: 400;
}

/* Título */

.dashboard{
    padding: 30px 200px;
    transition: all 0.4s;

}

.dashboard__title{
    font-size: 40px;
    font-weight: 700;
    margin-bottom: 0;
}

.dashboard__subheading{
    font-size: 1rem;
    font-weight: 300;
    margin: 0;
}


/* Estadísticas */

.stats__title{
    font-size: 30px;
    font-weight: 700;
}

.stats{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 20px;
    width: 100%;
}

.stats *{
    transition:  all 0.4s;
}

.stat__card{
    border: solid 3px #F1F1F1;
    border-radius: 20px;
    padding: 5px 30px;
}

.stat__title{
    font-size: 20px;
    font-weight: 700;
}

.stat__number{
    font-size: 35px;
    font-weight: 700;
    margin: 0;
    line-height: 1;
}

.stat__label{
    color: var(--primary);
    text-wrap: nowrap;
}

/* Resultados */

.results__title{
    font-size: 30px;
    font-weight: 700; 
}

.results{
    border: solid 2px #DBD8F1;
    width: 100%;
    border-radius: 20px;
    background-color: #DBD8F1;
    margin-top: 40px;
}

.results__row--top{
    height: 70px;
    display: flex;
    justify-content: space-between;
}

.results .container{
    display: inline;
    margin-right: -10px;
    border-color: #FEFAFA;
}
.results .checkmark{
    border: solid 3px #B4B4B4;
}

.results__values{
    display: flex;
    gap: 10px;
    height: 100%;
}

.results__inputs{
    display: flex;
    align-items: center;
    height: 100%;
    gap: 16px;
    margin-left: auto;
}

.results__inputs > * {
    border: solid 2px #CECECE;
    padding: 10px 20px;
    border-radius: 20px;
    cursor: pointer;
}


.download{
    border-radius: 50%;
    padding: 5px 8px;
}

.download img{
    height: 24px;
}

table{
    color: #454545;
}

th{
    background-color: #F3F2FA;
    height: 60px;
}

td{
    background-color: white;
    height: 60px;
    max-height: 60px;
    padding: 10px;
    text-align: center;
    max-width: 200px;
    text-overflow: ellipsis;
}

th:first-child {
    border-radius: 15px 0 0 0;
}

th:last-child{
    border-radius: 0 15px 0 0;
}

tr:last-child td:first-child{
    border-radius: 0 0 0 15px;
}

tr:last-child td:last-child{
    border-radius: 0 0 15px 0;
}

.container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 1rem;
    line-height: 1.6;
    font-weight: 300;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
  
  /* Ocultar checkbox default */
.container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}
  
  /* Crea una checkbox personalizada */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eeeeee00;
    border-radius: 6px;
    border: solid 3px var(--primary);
}
  
  
  /* Checkbox seleccionada */
.container input:checked ~ .checkmark {
    background-color: var(--primary);
    border: solid 3px var(--primary);
}
  
.checkmark img {
    position: absolute;
    display: none;
}
  
  /* Mostrar icono al seleccionar */
.container input:checked ~ .checkmark img {
    display: inline-block;
}
  
.container .checkmark img {
    top: 2px;
    left: 2px;
    width: 15px;
    height: 15px;
}

/* Selector de opciones */

.custom-select {
    position: relative;
    user-select: none;
    width: 45px;
    color: #454545;
    font-family: inherit;
    font-size: 1rem;
    font-weight: 300;
    border-radius: 15px;
    border: solid 1px #DBD8F1;
    z-index: 3;
    text-wrap: nowrap;
}
  
/* Ocultar el elemento original */
.custom-select select {
    display: none; 
}
  
.select-selected {
    background-color: #F3F2FA;
    border: solid 1px #DBD8F1;
    border-radius: 15px;
    padding: 10px 15px;
}
  
  /* Estilos flecha del lado derecho */
.select-selected:after {
    position: absolute;
    content: "";
    top: 16px;
    right: 15px;
    width: 0;
    height: 0;
    border: 6px solid transparent;
    border-color: #454545 transparent transparent transparent;
    border-radius: 3px;
}
  
  /* Rotar flecha al abrir */
.select-selected.select-arrow-active:after {
    border-color: transparent transparent #454545 transparent;
    transform: translateY(-7px);
    border-radius: 3px;
}
  
  /* Estilos de las opciones, incluye la opcion seleccionada */
.select-items div,.select-selected {
    color: #454545;
    padding: 8px 16px;
    border: 1px solid transparent;
    cursor: pointer;
}
  
  /* Estilos de opciones */
  .select-items {
    position: absolute;
    background-color: #F3F2FA;
    top: 120%;
    /* left: 0; */
    right: 0;
    text-align: start;
    z-index: 99;
    border-radius: 15px;
    border: solid 1px #DBD8F1;
  }
  
  /* Ocultar opciones si el selector esta cerrado */
  .select-hide {
    display: none;
  }
  
  .select-items div:hover, .same-as-selected {
    background-color: #DBD8F1;
  }

  .pay__status{
    align-items: center;
    width: 100%;
  }


  .pay__container{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    color: #A82525;
    font-weight: 600;
  }

  .system__message--error{
    color: #A82525;
    background-color: #F9EAEA;
    border: 1px solid #F0D1D1;
}

.message__title--error{
    color: #A82525;
}

.message__title{
    font-size: 20px;
    font-weight: 300;
    margin: 0;
}

.message__body{
    font-weight: 300;
}

.system__message{
    padding: 0 20px;
    border-radius: 15px;
    width: 100%;
    margin-bottom: 10px;
}

.radio__container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    line-height: 1.6;
    cursor: pointer;
    font-size: 1rem;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    color: #454545;
  }
  
  /* Ocultar boton radio original */
  .radio__container input {
    position: absolute;
    left: 0;
    opacity: 0;
    cursor: pointer;
  }
  
  /* Crear boton radio personalizado */
  .radio__checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    border: solid 3px var(--primary);
    border-radius: 50%;
    
  }
  
  
  /* Agregar borde al radio selecionado */
  .radio__container input:checked ~ .radio__checkmark {
    box-shadow: 0 0 0 3px #CFCAEC;
  }
  
  /* Crear punto central */
  .radio__checkmark:after {
    content: "";
    position: absolute;
    display: none;
  }
  
  /* Mostrar punto central al seleccionar */
.radio__container input:checked ~ .radio__checkmark:after {
    display: block;
}
  
  /* Estilos del punto central */
.radio__container .radio__checkmark:after {
    top: 5px;
    left: 5px;
    width: 9px;
    height: 9px;
    border-radius: 50%;
    background: var(--primary);
}

.switch__container{
    display: flex;
    align-items: center;
    gap: 10px;
}

.switch{
    display: inline-block;
    height: 34px;
    position: relative;
    width: 60px;
    border-radius: 30px;
    background-color: #CFCAEC;
    padding: 5px;
}

.switch__circle{
    height: 100%;
    aspect-ratio: 1/1;
    border-radius: 50%;
    background-color: var(--primary);
}

.error td{
    background-color: #F9EAEA;
}

.success td{
    background-color: #F2FAF3;
}

.pending td{
    background-color: #EAF2F9;
}

main{
    padding: 0;
    width: 700px;
    margin: 0 auto;
    max-width: 90%;
    margin-bottom: 60px;
}

.pay__button{
    padding: 10px 20px;
    font-size: 1rem;
    margin: 0;
    color: #A82525;
    background-color: #F0D1D1;
}

a{
    text-decoration: none;
    border-radius: 40px;
}

.form__section{
    margin-bottom: 100px;
}

@media(max-width: 1500px){
    .stats{
        gap: 10px;
    }
}

@media(max-width: 1300px){
    .stats{
    }
    .stat__card{
        padding: 5px 20px;
    }
    .stat__title{
        font-size: 16px;
    }
    .stat__number{
        font-size: 30px;
    }
    .stat__label{
        font-size: 14px;
    }
}


@media(max-width: 1100px){
    nav{
        justify-content: space-between;
        padding: 10px;
    }
    .nav__list{
        gap: 20px;
        padding: 0;
    }
    .nav__column--right{
        gap: 10px;
        margin: 0;
    }
    .dashboard{
        padding: 30px 50px;
    }
}

@media(max-width: 900px){
    nav{
        padding: 20px;
    }
    .list__item{
        display: none;
    }
    .list__item:last-of-type{
        display: initial;
    }
    .credits__text span{
        display: none;
    }
    .nav__button{
        padding: 10px 20px;
    }
    .stat__card{
        padding: 5px 10px;
    }
    .stat__title{
        font-size: 14px;
    }
    .stat__number{
        font-size: 25px;
    }
    .stat__label{
        font-size: 12px;
    }
    
}

@media(max-width: 700px){
    .dashboard{
        padding: 20px;
    }
    .dashboard__inputs{
        gap: 10px;
    }
    .dashboard__inputs button{
        padding: 10px 10px;
        font-size: 12px;
    }
    .dashboard__inputs *, .dashboard__inputs *::placeholder{
        font-size: 12px;
        border-radius: 10px;
    }
    .stats{
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
    }
    .stats * {
        border-radius: 10px;
    } 
    
}

@media(max-width: 600px){
    .results__title{
        font-size: 20px;
        display: none;
    }
}